[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TDoubleHelper.TryParse

Try to convert a string to a Double-sized floating point value.

## Declaration

Source position: syshelph.inc line 298

`public class function TDoubleHelper.TryParse(`
`const AString: string;`
`out AValue: Double`
`):Boolean; overload; class function TDoubleHelper.TryParse(`
`const AString: string;`
`out AValue: Double;`
`const AFormatSettings: TFormatSettings`
`):Boolean; overload;`

## Description

TryParse attempts to convert the string AString to a Double-sized floating point value and reports True if the conversion was successful. In that case the parsed value is returned in AValue.

If the conversion failed, False is returned.

## See also

TDoubleHelper.Parse |  | Convert a string to a floating point value
TDoubleHelper.ToString |  | Convert a Double-sized floating point value to a string